---
agentTools:
  projectIndex: https://snapvalid.readme.io/llms.txt
---

# Get credit balance

This API endpoint allows you to check your account credit balance.

GET [\<https://app.snapvalid.com/api/v1/credit-balance?apikey=APIKEY>](https://app.snapvalid.com/api/v1/credit-balance?apikey=TYdDSzWPrar12XUX4bZRRwLJFIcutSE44JIpwpCXduCIYqwbtHcO62LQ0e3P)

```Text Success
{
    "status": 200,
    "credit_balance": "23"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Get credit balance",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://app.snapvalid.com/api/v1/credit-balance"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/?apikey=TYdDSzWPrar12XUX4bZRRwLJFIcutSE44JIpwpCXduCIYqwbtHcO62LQ0e3P": {
      "get": {
        "summary": "Get credit balance",
        "description": "This API endpoint allows you to check your account credit balance.",
        "operationId": "get-credit-balance",
        "parameters": [
          {
            "name": "apikey",
            "in": "query",
            "description": "Your API key",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"status\": 200,\n    \"credit_balance\": \"23\"\n}\n"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 200,
                      "default": 0
                    },
                    "credit_balance": {
                      "type": "string",
                      "example": "23"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "node",
              "code": "const axios = require('axios');\n\nlet config = {\n  method: 'get',\n  maxBodyLength: Infinity,\n  url: 'https://app.snapvalid.com/api/v1/credit-balance?apikey=TYdDSzWPrar12XUX4bZRRwLJFIcutSE44JIpwpCXduCIYqwbtHcO62LQ0e3P',\n  headers: { }\n};\n\naxios.request(config)\n.then((response) => {\n  console.log(JSON.stringify(response.data));\n})\n.catch((error) => {\n  console.log(error);\n});\n"
            },
            {
              "language": "php",
              "code": "<?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, array(\n  CURLOPT_URL => 'https://app.snapvalid.com/api/v1/credit-balance?apikey=TYdDSzWPrar12XUX4bZRRwLJFIcutSE44JIpwpCXduCIYqwbtHcO62LQ0e3P',\n  CURLOPT_RETURNTRANSFER => true,\n  CURLOPT_ENCODING => '',\n  CURLOPT_MAXREDIRS => 10,\n  CURLOPT_TIMEOUT => 0,\n  CURLOPT_FOLLOWLOCATION => true,\n  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n  CURLOPT_CUSTOMREQUEST => 'GET',\n));\n\n$response = curl_exec($curl);\n\ncurl_close($curl);\necho $response;\n"
            }
          ],
          "samples-languages": [
            "node",
            "php"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "670c1ab6fc14df005409c01a:670c1993a8a249005ac30f2a"
}
```